Index: code/branches/presentation/src/util/Convert.h
===================================================================
--- code/branches/presentation/src/util/Convert.h	(revision 2459)
+++ code/branches/presentation/src/util/Convert.h	(revision 2485)
@@ -460,5 +460,5 @@
             else
               *output = "false";
-            return false;
+            return true;
         }
     };
Index: code/branches/presentation/src/util/OutputHandler.cc
===================================================================
--- code/branches/presentation/src/util/OutputHandler.cc	(revision 2459)
+++ code/branches/presentation/src/util/OutputHandler.cc	(revision 2485)
@@ -100,8 +100,13 @@
         @param buffer The OutputBuffer
     */
-    void OutputHandler::setOutputBuffer(OutputBuffer& buffer)
-    {
-        buffer.getStream() >> this->outputBuffer_->getStream().rdbuf();
-        this->outputBuffer_ = &buffer;
+    void OutputHandler::setOutputBuffer(OutputBuffer* buffer)
+    {
+        if (buffer == NULL)
+            this->outputBuffer_ = &this->fallbackBuffer_;
+        else
+        {
+            buffer->getStream() >> this->outputBuffer_->getStream().rdbuf();
+            this->outputBuffer_ = buffer;
+        }
     }
 
Index: code/branches/presentation/src/util/OutputHandler.h
===================================================================
--- code/branches/presentation/src/util/OutputHandler.h	(revision 2459)
+++ code/branches/presentation/src/util/OutputHandler.h	(revision 2485)
@@ -101,5 +101,5 @@
             static int getSoftDebugLevel(OutputHandler::OutputDevice device = OutputHandler::LD_All);
 
-            void setOutputBuffer(OutputBuffer& buffer);
+            void setOutputBuffer(OutputBuffer* buffer);
 
             template <class T>
Index: code/branches/presentation/src/util/SignalHandler.cc
===================================================================
--- code/branches/presentation/src/util/SignalHandler.cc	(revision 2459)
+++ code/branches/presentation/src/util/SignalHandler.cc	(revision 2485)
@@ -35,5 +35,4 @@
 #include "Debug.h"
 
-#include <cassert>
 #include <iostream>
 #include <cstdlib>
@@ -42,5 +41,5 @@
 namespace orxonox
 {
-    SignalHandler * SignalHandler::singletonRef = NULL;
+    SignalHandler* SignalHandler::singletonRef_s = NULL;
 }
 
@@ -55,8 +54,4 @@
 {
     bool SignalHandler::bXAutoKeyRepeatOn_ = false;
-
-    SignalHandler::SignalHandler()
-    {
-    }
 
     /**
@@ -133,5 +128,5 @@
     void SignalHandler::sigHandler( int sig )
     {
-      for ( SignalCallbackList::iterator it = SignalHandler::getInstance()->callbackList.begin(); it != SignalHandler::getInstance()->callbackList.end(); it++  )
+      for ( SignalCallbackList::iterator it = SignalHandler::getInstance().callbackList.begin(); it != SignalHandler::getInstance().callbackList.end(); it++  )
       {
         (*(it->cb))( it->someData );
@@ -184,5 +179,5 @@
       if ( sigPid == 0 )
       {
-        getInstance()->dontCatch();
+        getInstance().dontCatch();
         // wait for message from parent when it has attached gdb
         int someData;
@@ -237,5 +232,5 @@
 
       char cmd[256];
-      snprintf( cmd, 256, "file %s\nattach %d\nc\n", getInstance()->appName.c_str(), sigPid );
+      snprintf( cmd, 256, "file %s\nattach %d\nc\n", getInstance().appName.c_str(), sigPid );
       write( gdbIn[1], cmd, strlen(cmd) );
 
@@ -331,9 +326,9 @@
       bt.insert(0, timeString);
 
-      FILE * f = fopen( getInstance()->filename.c_str(), "a" );
+      FILE * f = fopen( getInstance().filename.c_str(), "a" );
 
       if ( !f )
       {
-        perror( ( std::string( "could not append to " ) + getInstance()->filename ).c_str() );
+        perror( ( std::string( "could not append to " ) + getInstance().filename ).c_str() );
         exit(EXIT_FAILURE);
       }
@@ -341,5 +336,5 @@
       if ( fwrite( bt.c_str(), 1, bt.length(), f ) != bt.length() )
       {
-        COUT(0) << "could not write " << bt.length() << " byte to " << getInstance()->filename << std::endl;
+        COUT(0) << "could not write " << bt.length() << " byte to " << getInstance().filename << std::endl;
         exit(EXIT_FAILURE);
       }
Index: code/branches/presentation/src/util/SignalHandler.h
===================================================================
--- code/branches/presentation/src/util/SignalHandler.h	(revision 2459)
+++ code/branches/presentation/src/util/SignalHandler.h	(revision 2485)
@@ -37,4 +37,5 @@
 #include "UtilPrereqs.h"
 
+#include <cassert>
 #include <list>
 #include <string>
@@ -68,9 +69,8 @@
     class SignalHandler
     {
-    private:
-        SignalHandler();
     public:
-        inline static SignalHandler* getInstance() { if (!SignalHandler::singletonRef) SignalHandler::singletonRef = new SignalHandler(); return SignalHandler::singletonRef; }
-        ~SignalHandler(){ SignalHandler::singletonRef = NULL; }
+        SignalHandler()  { assert(SignalHandler::singletonRef_s == 0); SignalHandler::singletonRef_s = this; }
+        ~SignalHandler() { assert(SignalHandler::singletonRef_s != 0); SignalHandler::singletonRef_s = NULL; }
+        inline static SignalHandler& getInstance() { assert(SignalHandler::singletonRef_s); return *SignalHandler::singletonRef_s; }
 
         void registerCallback( SignalCallback cb, void * someData );
@@ -87,5 +87,5 @@
         SignalCallbackList callbackList;
 
-        static SignalHandler * singletonRef;
+        static SignalHandler* singletonRef_s;
 
         std::string appName;
@@ -104,11 +104,13 @@
     {
     public:
-        inline static SignalHandler* getInstance() { if (!SignalHandler::singletonRef) SignalHandler::singletonRef = new SignalHandler(); return SignalHandler::singletonRef; };
-        void doCatch( const std::string & appName, const std::string & filename ) {};
-        void dontCatch() {};
-        void registerCallback( SignalCallback cb, void * someData ) {};
+        SignalHandler()  { assert(SignalHandler::singletonRef_s == 0); SignalHandler::singletonRef_s = this; }
+        ~SignalHandler() { assert(SignalHandler::singletonRef_s != 0); SignalHandler::singletonRef_s = 0; }
+        inline static SignalHandler& getInstance() { assert(SignalHandler::singletonRef_s); return *SignalHandler::singletonRef_s; }
+        void doCatch( const std::string & appName, const std::string & filename ) {}
+        void dontCatch() {}
+        void registerCallback( SignalCallback cb, void * someData ) {}
 
     private:
-        static SignalHandler * singletonRef;
+        static SignalHandler* singletonRef_s;
     };
 }
